# $Revision: 1.95 $, $Date: 2006/03/07 23:17:28 $
Summary:	A GNU file archiving program
Summary(de):	GNU-Magnetband-Archivierprogramm (tar)
Summary(es):	GNU Tape Archiver (tar)
Summary(fr):	Programme d'archivage GNU (tar: GNU Tape Archiver)
Summary(pl):	Program do archiwizacji (GNU)
Summary(pt_BR):	GNU Tape Archiver (tar)
Summary(tr):	Yaygn kullanlan yedekleyici
Name:		tar
Version:	1.15.1
Release:	3
Epoch:		1
License:	GPL
Group:		Applications/Archiving
Source0:	ftp://ftp.gnu.org/gnu/tar/%{name}-%{version}.tar.bz2
# Source0-md5:	57da3c38f8e06589699548a34d5a5d07
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	4e4b1655fe42c27a4eb5d7bcd82e74ac
Patch0:		%{name}-man-debian.patch
Patch1:		%{name}-man.patch
Patch2:		%{name}-info.patch
Patch3:		%{name}-pl.po-update.patch
Patch4:		%{name}-sock.patch
Patch5:		%{name}-dots.patch
Patch6:		%{name}-zero-block.patch
Patch7:		%{name}-heapOverflow.patch
URL:		http://www.gnu.org/software/tar/tar.html
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8
BuildRequires:	bison
BuildRequires:	gettext-devel >= 0.14.3
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		_bindir		/bin
%define		_libexecdir	/sbin

%description
The GNU tar program saves many files together into one archive and can
restore individual files (or all of the files) from the archive. Tar
can also be used to add supplemental files to an archive and to update
or list files in the archive.

Tar includes multivolume support, automatic archive compression/
decompression, the ability to perform remote archives and the ability
to perform incremental and full backups.

If you want to use Tar for remote backups, you'll also need to install
the rmt package.

%description -l de
Das GNU tar-Programm speichert mehrere Dateien in ein Archiv, und kann
einzelne Dateien daraus wiederherstellen (oder auch alle Dateien). Tar
kann auch benutzt werden, um einem Archiv Dateien hinzuzufgen, und um
die Liste der Dateien im Archiv anzuzeigen oder zu verndern.

Tar enthlt multivolume-Support, automatische
Archivkompression/dekompression, the Mglichkeit, Dateien per Netzwerk
zu archivieren und die Mglichkeit zu inkrementellen backups.

Wenn Sie tar fr Netzwerkbackups benutzen wollen, brauchen Sie
auerdem das rmt-Paket.

%description -l es
GNU "tar" guarda varios archivos juntos, en una cinta o archivo de
disco, y puede restaurar archivos individuales de este almacenaje.
Incluye soporte para multivolmenes, habilidad de almacenar archivos
dispersos, compresin/descompresin automtica, almacenajes remotos y
caractersticas especiales que permiten "tar" ser usado para backups
incrementales y completos. Si deseas hacer backups remotos con tar, te
har falta instalar el paquete "rmt".

%description -l fr
Le programme GNU tar permet de regrouper plusieurs fichiers en une
seule archive et d'effectuer diverses oprations sur cette archive
(extraction d'un fichier particulier, mise  jour, ajout d'un nouveau
fichier, ...).

Tar gre les archives multi-volumes, la compression et la
dcompression de manire transparente ainsi que la possibilit de
raliser des sauvegardes incrmentales et des sauvegardes compltes.

Si vous comptez utiliser Tar pour des sauvegardes distantes, vous
devriez galement installer le programme rmt.

Tar devrait tre install sur tout systme car ses capacit de
(d)compression sont essentielles pour travailler sur les fichiers.

%description -l pl
Program GNU tar suy do zapisywania wielu plikw w pojedynczym
archiwum i moe take suy do odzyskiwania z tak preparowanych
archiww pojedynczych plikw (lub wszystkich). Za jego pomoc mona
take dodawa nowe pliki do ju istniejcego archiwum.

GNU tar umoliwia robienie wieloczciowych archiww (multivolume
archive), automatyczn kompresj i dekompresj samego archiwum a take
ma moliwo operowania na zdalnych archiwach co jest przydatne przy
sporzdzaniu przyrostowych i penych archiww zasobw.

Jeeli zamierzasz uywa programu tar do operowania na zdalnych
archiwach powiniene doinstalowa pakiet rmt.

GNU tar suy do zapisywania wielu plikw na tam lub dysk. Moe
odtwarza pojedyncze pliki z archiwum. Umoliwia zapis duego archiwum
z podziaem na wiele nonikw. Tar obsuguje take automatyczn
kompresj/dekompresj i archiwa zdalne. Posiada specjalne opcje do
robienia penych i przyrostowych kopii bezpieczestwa. Aby tworzy
zdalne archiwa tar-a trzeba zainstalowa pakiet rmt.

%description -l pt_BR
GNU "tar" guarda vrios arquivos juntos em uma fita ou arquivo de
disco, e pode restaurar arquivos individuais desta armazenagem. Ele
inclui suporte para multi-volumes, habilidade de armazenar arquivos
dispersos, compresso/descompresso automtica, armazenamentos remotos
e caractersticas especiais que permitem "tar" ser usado para backups
incrementais e completos. Se voc deseja fazer backups remotos com
tar, voc ir precisar instalar o pacote "rmt".

%description -l tr
GNU tar, birden ok dosyay tek bir manyetik bant ya da disk zerinde
arivleyebildii gibi, bu dosyalarn arivden tek tek geri
yklenmesine de izin verir. ok ksml arivleri, otomatik ariv
sktrma ve amay, uzak arivleri, artmsal yedeklemeyi destekler.

%prep
%setup -q
%patch0 -p2
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

rm -f po/stamp-po

# temporary (configure.ac uses gl_AC_TYPE_LONG_LONG while gettext 0.14
# defines jm_AC_TYPE_LONG_LONG)
mv -f m4/{,g}longlong.m4

sed -i -e 's/jm_AC_TYPE_UINTMAX_T/gl_AC_TYPE_UINTMAX_T/' configure.ac

%build
%{__gettextize}
%{__autoheader}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/usr/bin,%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf %{_bindir}/tar $RPM_BUILD_ROOT/usr/bin/gtar

install tar.1 $RPM_BUILD_ROOT%{_mandir}/man1
bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/no
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README NEWS
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) /usr/bin/*
%{_infodir}/tar.info*
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(id) %{_mandir}/id/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tar.spec,v $
Revision 1.95  2006/03/07 23:17:28  qboosh
- added heapOverflow patch (fixes CVE-2006-0300), release 3

Revision 1.94  2005/07/21 17:07:53  darekr
- BR: sed 4.0

Revision 1.93  2005/04/16 22:08:45  glen
- use of emoticons

Revision 1.92  2005/04/16 20:25:42  areq
- fixed build with new gettext

Revision 1.91  2005/02/19 15:06:26  ankry
- kill no locale, rel. 2

Revision 1.90  2004/12/25 18:04:57  qboosh
- automake epoch

Revision 1.89  2004/12/23 23:53:18  qboosh
- pl.po-update patch is back (updated)

Revision 1.88  2004/12/22 09:29:17  wiget
- up to 1.15.1

Revision 1.87  2004/12/22 09:21:19  paszczus
- updated to 1.15
- commented out Patch3:pl.po-update.patch (propably not needed for now)

Revision 1.86  2004/10/29 13:36:57  paladine
- spelling fixes

Revision 1.85  2004/09/08 16:56:26  pluto
- [FIX] non-recoverable error (lone zero block) on certain archives.
  (stolen from debian).
- release 2.

Revision 1.84  2004/05/22 14:40:20  qboosh
- updated to 1.14 (new stable version)
- updated man page from Debian (man-debian patch)
- updated man,pl.po-update,sock patches
- dropped nolibrt patch (now tar supports nanosecond timestamps)

Revision 1.83  2004/04/14 22:11:47  qboosh
- updated pl.po-update patch, release 1

Revision 1.82  2004/04/14 10:40:32  qboosh
- updated info patch, removed obsolete iconv patch
- pl.po must wait a little (maybe in the evening?)

Revision 1.81  2004/04/14 10:05:38  paszczus
- added URL

Revision 1.80  2004/04/14 09:37:59  agaran
- updated to 1.13.94, nfy, some patches need update/review

Revision 1.79  2004/03/17 10:53:07  qboosh
- release 1 (this version seems to fix problems with somedir/./something)

Revision 1.78  2004/03/01 23:48:24  qboosh
- removed locale patch (obsolete since 1.13.92)

Revision 1.77  2004/03/01 23:39:46  qboosh
- updated to 1.13.93, updated pl.po-update patch
- removed obsolete fix-create-options (bug fixed), added iconv patch (bug added)

Revision 1.76  2004/01/02 19:45:47  pius
- fixed non-working --one-file-system (-l) and --no-recursion options
  (tar-fix-create-options.patch)
- release 0.2

Revision 1.75  2003/12/13 10:48:33  qboosh
- updated to 1.13.92
- updated pl.po-update, sock, nolibrt patches

Revision 1.74  2003/12/12 18:11:48  eothane
- some updates

Revision 1.73  2003/11/15 01:06:40  qboosh
- switched to .bz2 source
- updated patches: info, sock, nolibrt, dots(!)
- pl.po-fix replaced with pl.po-update patch
- removed obsolete patches:
  pipe - seems fixed in slightly other way
  namecache - obsolete since 1.12.lfs.3 (1.13 rel) (sic!)
  error and ac25x - obsolete now
- added locale patch (setlocale was not detected and thus not used)
- release 0.2 (for testing)

Revision 1.72  2003/11/12 21:55:14  qboosh
- release back to 0.1 - totally unfinished (I'll look at it later)

Revision 1.71  2003/11/12 17:42:53  cieciwa
- updated to 1.13.90.
- patches not adapted.

Revision 1.70  2003/08/25 22:35:45  mmazur
- rel 8 for ac

Revision 1.69  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.68  2003/06/26 15:03:46  qboosh
- fixed build with gettext 0.12.1

Revision 1.67  2003/06/02 15:18:30  ankry
- added/changed non-english-man-pages URL

Revision 1.66  2003/05/29 11:14:17  adgor
- Fixed srcs md5dum; bad urls removed

Revision 1.65  2003/05/26 16:25:52  malekith
- massive attack: adding Source-md5

Revision 1.64  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.63  2003/05/25 06:27:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.62  2003/03/09 23:08:50  qboosh
- added pl.po-fix patch (typos, two mistranslated messages)
- define _bindir to /bin to avoid creating symlink to "//bin/tar"
- release 7

Revision 1.61  2002/11/30 23:00:28  juandon
- new %%doc

Revision 1.60  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.59  2002/09/29 23:50:55  lukasz
- added tar-dots.patch, it was taken from RH-updates,
  CAN-2001-1267 at cve.mitre.org

Revision 1.58  2002/05/21 23:14:48  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.57  2002/04/14 22:10:02  ankry
- fixed typos in pl man page; release 5

Revision 1.56  2002/04/11 17:49:06  qboosh
- added ac25x patch needed for autoconf 2.53

Revision 1.55  2002/04/10 20:12:52  ankry
- generally: man pages update
- release 4, STBR

Revision 1.54  2002/03/30 23:56:52  agaran
added gettext-devel to buildreq

Revision 1.53  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.52  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.51  2002/01/18 02:15:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.50  2001/11/23 02:01:19  kloczek
- bump release to 3,
- merge sock, nolibrt patches rom rawhide.

Revision 1.49  2001/11/21 19:00:37  saq
- up to 1.13.25, STBR

Revision 1.48  2001/11/15 23:27:43  ankry
- added de, es, fi, fr, hu, id, it, ja, nl man pages
- release 2

Revision 1.47  2001/09/03 13:23:22  wiget
version 1.13.22

Revision 1.46  2001/08/28 08:39:18  kloczek
- typo.

Revision 1.45  2001/08/28 08:38:19  kloczek
- updated to 1.13.20,
- added regenerate ac/am files,
- merged error patch from rawhide and translations from CNV.

Revision 1.44  2001/08/09 00:23:35  agaran
s/configure/configure2_13/
because adding aclocal/autoconf in %build dont helped

Revision 1.43  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.41  2001/06/04 14:51:19  baggins
- removed gettextize (breaks compilation)

Revision 1.40  2001/01/17 20:57:53  kloczek
- updated to 1.13.19.

Revision 1.39  2000/11/12 05:11:42  kloczek
- updated to 1.13.18,
- merged RH changes and removed obsoleted patches (fnmatch, exitcode),
- removed linking with libbsd (seems this is not neccessary).

Revision 1.38  2000/10/12 19:59:41  kloczek
- comment ia64 patch (must be fixed).

Revision 1.37  2000/10/12 19:55:00  kloczek
- release 9,
- use new rpm automation,
- merge exitcode patch from RH.

Revision 1.36  2000/08/07 13:23:33  zagrodzki
- adapterized
- fixed side effects of previous adapterizing (.tar.gz -> %{name}.gz and
  similiar)

Revision 1.35  2000/07/12 18:55:43  baggins
- ifarch ia64 patch

Revision 1.34  2000/07/12 18:54:44  baggins
- release 6
- added fixes from rawhide

Revision 1.33  2000/06/13 20:35:05  kloczek
- spec adapterized.

Revision 1.32  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.31  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.30  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.29  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.28  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.27  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.26  2000/01/11 12:26:48  kravietz
- update do 1.13.17

Revision 1.25  2000/01/05 03:29:25  kloczek
- downgrase to 1.13.15 because 1.13.16 is buggy (added Epoch: 1 to allow
  downdgrade without --force).

Revision 1.24  1999/12/14 12:31:50  wiget
1.13.16

Revision 1.23  1999/12/07 09:19:30  wiget
1.13.15

Revision 1.22  1999/11/22 02:52:19  kloczek
- updated to 1.13.14 (release 2 - in rawhide is 1),
- updated Source url.

Revision 1.21  1999/09/30 22:01:12  kloczek
- updated to 1.13.12.

Revision 1.20  1999/09/13 13:17:08  kloczek
- release 2,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries
  format.

Revision 1.19  1999/08/31 21:16:57  kloczek
- updated to 1.3.11,
- removed bzip2 patches,
- removed calling aclocal, automake, autoconf from %build (not neccessary),
- new Summary, and %description's (en, de, fr, pl).

Revision 1.18  1999/08/25 20:31:04  baggins
- updated to 1.13

Revision 1.17  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Feb 10 1999 Micha Kuratczyk <kurkens@polbox.com>
  [1.12-8]
- added Group(pl)
- added gzipping documentation
- cosmetic changes

* Mon Dec 27 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.12-7]
- standarized {un}registering info pages (added tar-info.patch),
- added gzipping man pages.

* Sat Nov 21 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.12-6]
- added {un}registering info page in %post %preun with --entry.

* Mon Sep 21 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.12-5]
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- added static subpackage,
- changed passing $RPM_OPT_FLAGS, LIBS and LDFLAGS (now as a configure
  enviroment variable).

* Wed Sep  2 1998 Konrad Stpie <konrad@interdata.com.pl>
  [1.12-5]
- added %%{PACKAGE_VERSION} macros to Buildroot and Source,
- patched to better performaance which unknown uid/gid,
- Source adres changed to regular URL,
- updated pl locales to 1.12,
- added bzip2 support, update man page and pl locales,
- translation for pl,
- changed mkdir to install -d,
- added %doc.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- add %{_bindir}/gtar symlink (change #421)

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- Fiddle bindir/libexecdir to get RH install correct.
- Don't include /sbin/rmt -- use the rmt from dump.
- Turn on nls.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- updated from 1.11.8 to 1.12
- various spec file cleanups
- /sbin/install-info support

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu May 29 1997 Michael Fulbright <msf@redhat.com>
- Fixed to include rmt
